Skip to main content
Resource Center/Network Resource/OSPF Operations
GETOSPF OperationsSince 3.4.0SynchronousAuth Required

QueryVRouterOspfNetwork

QueryVRouterOspfNetwork

Execution Availability

Try It Out

Submit a mock request using the current auth context and example-driven inputs.

Request Inputs

This API requires no request parameters.

Responses

200 OK

On success, this API returns the following response structure.

  • errorErrorCodeRequired

    The error code. If not null, the operation fails, or vice versa. For more information, see error.

    • codeStringRequired

      The error code, which is a numbered or alphanumeric code that specifies an error. For example, SYS.1000, HOST.1001.

    • descriptionStringRequired

      The brief description of the error.

    • detailsStringRequired

      The details about the error.

    • elaborationStringRequired

      The reserved field. Default value: null.

    • opaqueLinkedHashMapRequired

      The reserved field. Default value: null.

    • causeErrorCodeRequired

      The root error, which is the associated root cause of the current error. If no root error exists, this parameter is null.

  • inventoriesListRequired

    See inventories.

    • uuidStringRequired

      The resource UUID.

    • vRouterUuidStringRequired

      No description provided.

    • routerAreaUuidStringRequired

      No description provided.

    • l3NetworkUuidStringRequired

      The L3 network UUID.

    • createDateTimestampRequired

      The creation date.

    • lastOpDateTimestampRequired

      The last operation date.

Endpoint

GET/zstack/v1/routerArea/network

/zstack/v1/routerArea/network

Operation ID

QueryVRouterOspfNetwork

Permalink

Request Example

curl -X GET 'http://{host}/zstack/v1/routerArea/network' -H 'Authorization: OAuth {sessionUuid}'

Response Example

200
{ "inventories": [ { "uuid": "fb2a103989cd3ad581c3ad6931765a2e", "vRouterUuid": "2449c7b9976c301bb5917cf25e021e65", "routerAreaUuid": "e53cb89baf223faf9b2683752c80a3a5", "l3NetworkUuid": "937b798289cf30bf884600143b5dfc0d", "createDate": "Nov 14, 2017 10:20:57 PM", "lastOpDate": "Nov 14, 2017 10:20:57 PM" } ] }

Change History

This API has no change history records yet.

View all change history